const {
    LinearProgress,
    CircularProgress,
    Card,
    CardHeader,
    CardContent,
    FormControl,
    FormLabel,
    TextField,
    Button
} = window['material-ui'];
const { Component } = window['React'];
const React = window['React'];

class Account extends Component{
    constructor(){
        super();

        const session_id = document.cookie.toLowerCase().match(/jsessionid=(.*?).node0/)[1];
        $.getJSON("/api/1.0/users/account?session_id=" + session_id,
            null, this.responseUserDto);

        this.state = {
            userDto: null
        };
    }

    responseUserDto = response => {
        this.setState({
            userDto: response.data
        });
    };

    render(){
        return (
            this.state.userDto != null ? (
                <div style={{width: '75%', margin: 'auto'}}>
                    <Card>
                        <CardHeader title={this.state.userDto.firstName + " " + this.state.userDto.lastName}/>
                        <CardContent>
                            <p>Login: {this.state.userDto.login}</p>
                            <p>Email: {this.state.userDto.email}</p>
                        </CardContent>
                    </Card>
                </div>
            ) : (
                <div className="text-center">
                    <CircularProgress />
                </div>
            )
        )
    }
}

ReactDOM.render(<Account/>, document.getElementById('react-account'));
