const {
    Card,
    CardHeader,
    CardContent,
    FormControl,
    FormLabel,
    TextField,
    Button
} = window['material-ui'];
const React = window['React'];
const {Component} = React;

class LoginForm extends Component{
    state = {
        username: "",
        password: "",
        errorsMessage: ""
    };

    handleChange = field => event => {
        this.setState({
            [field]: event.target.value,
            ["isValid_"+field]: true
        });
    };

    handleSubmit = loginForm => () => {
        $.post("/login", $('form.login-form').serialize(),
            this.handleResponseAjaxPost(loginForm)("success"))
            .fail(this.handleResponseAjaxPost(loginForm)("error"));
    };

    handleResponseAjaxPost = loginForm => status => response => {
        if (status === "success"){
            window.location.href = "/index";
        } else if (status === "error"){
            let responseJSON = JSON.parse(response.responseText);
            loginForm.setState({
                errorsMessage: responseJSON.error.message,
                password: "",
            })
        }
    };

    render(){
        return (
            <Card onKeyPress={e => (e.key === 'Enter' ? this.handleSubmit(this)() : null)} tabIndex="0">
                <CardHeader title="Вход"/>
                <CardContent>
                    <form className="login-form">
                        <FormControl component="fieldset" style={{width: '100%'}}>
                            <FormLabel error={true}>
                                <div
                                    className="Container"
                                    dangerouslySetInnerHTML={{__html: this.state.errorsMessage}}>
                                </div>
                            </FormLabel>
                            <TextField
                                label="Логин"
                                value={this.state.username}
                                onChange={this.handleChange("username")}
                                margin="normal"
                                type="text"
                                InputProps={{name: "username"}}
                            />
                            <TextField
                                label="Пароль"
                                value={this.state.password}
                                onChange={this.handleChange("password")}
                                margin="normal"
                                type="password"
                                InputProps={{name: "password"}}
                            />
                            <Button
                                variant="contained"
                                onClick={this.handleSubmit(this)}
                                style={{margin: 'auto'}}
                            >Войти</Button>
                        </FormControl>
                    </form>
                </CardContent>
            </Card>
        );
    }
}